﻿@model PagedList<DomainModels.Entities.HumanResource.User>


@{
    ViewBag.Title = "لیست کاربران (کارمندان)";
}


@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")

<div class="row">
	<div class="col-lg-12">
		<table id="miyazaki" class="tbl-grid" style="width: 100%;">
			<thead>
				<tr>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().Id)
                    </th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().FullName)
					</th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().RoleId)
                    </th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().Username)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().Email)
					</th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().AccountStatus)
                    </th>
					<th></th>
				</tr>
			</thead>
			<tbody>
			@foreach (var item in Model.Data) {
				<tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Id)
                    </td>
					<td>
						@Html.DisplayFor(modelItem => item.FullName)
					</td>
                    <td>
                        <span class="rolename">@item.Role.DisplayName</span>
                    </td>
					<td>
						@Html.DisplayFor(modelItem => item.Username)
					</td>
					<td>
						@Html.DisplayFor(modelItem => item.Email)
					</td>
                    <td>
                        @Html.ShowUserAccountStatus(item.AccountStatus)
                    </td>
					<td>
						@Html.ActionLink("جزئیات", "Detail", "User", new { id=item.Id }, new { @class="btn btn-primary" })
                        @Html.ActionLink("Edit", "Edit", "User", new { id = item.Id }, new { @class = "btn btn-info" })
                        @Html.ActionLink("حذف", "Delete", "User", new { id = item.Id }, new { @class = "btn btn-danger" })
                    </td>
				</tr>
			}
			</tbody>
		</table>

		@Html.ShowEmptyLabel(Model.Data)
        @Html.ShowPagerDescription(Model)
        @Html.ShowPager(Model, Url.Action("Index"))
			
	</div>
</div>
